link.to.self.for.mediaobject
Prev | Graphics | Next

## link.to.self.for.mediaobject

link.to.self.for.mediaobject — Include `a` element to image objects itself to go to a full-size, freely-zoomable version

## Synopsis

    <xsl:param name="link.to.self.for.mediaobject" select="0"></xsl:param>

## Description

In some cases, it can be very helpful to be able to click on an embedded `figure` or `informalfigure` to get a full-size, freely-zoomable version of an image, for instance when targeting readers on smartphones. This is implemented for images only, but not for audio or video objects.

If non-zero, the image will be wrapped in an `a` element, using the `href` attribute pointing to the image itself:

    <a href="source/image">
       <!-- the image object -->
    </a>

If the value of `link.to.self.for.mediaobject.xml` is zero (default), then no `a` container is added.

Prev | Up | Next
preferred.mediaobject.role | Home | use.role.for.mediaobject